Subject: Re: [PATCH net-2.6.23 take2] UDP: Cleanup UDP encapsulation code

From: James Chapman <[email-masked]>
Date: Thu, 05 Jul 2007 18:25:50 +0100

Rémi Denis-Courmont wrote:

> By the way, couldn't encap_type be remove altogether (using two slightly 
> different callbacks for ESP) from udp_sock?

The notion of encap_type is needed for the setsockopt call so it would 
have to stay in the API. If it were removed from udp_sock, getsockopt 
would have to derive the encap_type from encap_rcv funcptr values, which 
would be messy. I think it might complicate the logic in ESP too.

-- 
James Chapman
Katalix Systems Ltd
http://www.katalix.com
Catalysts for your Embedded Linux software development